Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: [DE] dist-upgrade scheitert an ia32-libs  (Read 4905 times)

hollarmo

  • Guest
[DE] dist-upgrade scheitert an ia32-libs
« on: 2010/09/25, 19:05:30 »
Hallo,

leider klappt bei mir der Umstieg von sidux auf aptosid noch nicht.

Nach einen dist-upgrade erhalte ich folgende Ausgabe:

Code: [Select]
root@siduxbox:/home/remo# apt-get install aptosid-archive-keyring && apt-get update
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut      
Statusinformationen werden eingelesen... Fertig
Probieren Sie »apt-get -f install«, um dies zu korrigieren:
Die folgenden Pakete haben nicht erfüllte Abhängigkeiten:
 ia32-libs-gtk : Hängt ab von: ia32-libs (>= 20100914) soll aber nicht installiert werden
 ia32-libs-xulrunner : Hängt ab von: ia32-libs soll aber nicht installiert werden
 nspluginwrapper : Hängt ab von: ia32-libs (>= 2.4) soll aber nicht installiert werden
E: Nicht erfüllte Abhängigkeiten. Versuchen Sie »apt-get -f install« ohne Angabe eines Pakets (oder geben Sie eine Lösung an).
root@siduxbox:/home/remo#


Als Quelle für aptosid habe ich "deb http://debian.tu-bs.de/project/aptosid/debian/ sid main fix.main" in der sidux.list eingestellt.

Auch wenn ich wieder die sidux-Quellen einstelle, erhalte ich die gleichen Meldungen.

Wenn ich nun versuche, ia32-libs separat zu installieren, erhalte ich die Ausgabe

Code: [Select]
root@siduxbox:/home/remo# apt-get install ia32-libs
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut      
Statusinformationen werden eingelesen... Fertig
Die folgenden NEUEN Pakete werden installiert:
  ia32-libs
0 aktualisiert, 1 neu installiert, 0 zu entfernen und 217 nicht aktualisiert.
1 nicht vollständig installiert oder entfernt.
Es müssen noch 0 B von 34,1M B an Archiven heruntergeladen werden.
Nach dieser Operation werden 84,5M B Plattenplatz zusätzlich benutzt.
(Lese Datenbank ... 132204 Dateien und Verzeichnisse sind derzeit installiert.)
Entpacke ia32-libs (aus .../ia32-libs_20100919_amd64.deb) ...
dpkg: Fehler beim Bearbeiten von /var/cache/apt/archives/ia32-libs_20100919_amd64.deb (--unpack):
 Versuche, »/usr/lib32/libnspr4.so.0d« zu überschreiben, welches auch in Paket ia32-libs-workaround-499043 0.0.1+squeeze1 ist
configured to not write apport reports
                                      dpkg-deb: Unterprozess einfügen mit Signal (Datenübergabe unterbrochen (broken pipe)) getötet
Fehler traten auf beim Bearbeiten von:
 /var/cache/apt/archives/ia32-libs_20100919_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@siduxbox:/home/remo#


Nun möchte ich nicht die ia32-libs und alle anderen davon abhängigen Programme deinstallieren, um den Umstieg auf aptosid zu realisieren. Ich denke, die Ursache für die Fehler liegen woanders.

Meine Hardware: AMD 64bit, Nvidia-Grafikkarte

Ich bin für Hilfe sehr dankbar.

hollarmo

Offline towo

  • Administrator
  • User
  • *****
  • Posts: 2.941
dist-upgrade scheitert an ia32-libs
« Reply #1 on: 2010/09/25, 19:14:54 »
Dein Problem ist debian-multimedia!
Es ist ja nicht so, daß nicht vor diesem Repo gewarnt wird.
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline phen

  • User
  • Posts: 85
dist-upgrade scheitert an ia32-libs
« Reply #2 on: 2010/09/25, 20:02:06 »
Du hast nicht zufällig neben ia32-libs noch nen ia32-libs-workaround installiert?
Hatte ich neulich, musste den workaround zunächst per apt-get deinstallieren, dann gings..

hollarmo

  • Guest
dist-upgrade scheitert an ia32-libs
« Reply #3 on: 2010/09/26, 11:56:21 »
Hallo towo und phen,

vielen Dank für die wirklich schnellen Antworten.

Die Deinstallation der ia32-libs-workaround hätte auch eine Folge des Entfernens der ia32-libs zur Folge gehabt.

Also deinstallierte ich neben den ia32-Paketen auch acroread, xulrunner und nspluginwrapper.

Anschließend führte ich dist-upgrade ohne Probleme aus. Auch die Reinstallation von nvidia-glx vollzog sich problemlos.

Damit wäre das Problem gelöst.

Eine Frage zum Abschluss: Welche Warnungen betreffen die Debian-Multimedia-Quelle?

Danke noch einmal,

hollarmo

Offline ralul

  • User
  • Posts: 1.814
dist-upgrade scheitert an ia32-libs
« Reply #4 on: 2010/09/26, 13:34:49 »
Gar keine Warnungen, weil diese Quelle nicht supportet wird: Sie hat einen schlechten Ruf out of sync zu sein und schlecht gepackte Pakete zu haben. Also nur, wenn du was wirklich brauchst.... (was meistens nicht wirklich der Fall sein sollte)
experiencing siduction runs better than my gentoo makes me know I know nothing

hollarmo

  • Guest
Gelöst
« Reply #5 on: 2010/10/03, 09:13:32 »
Sorry für die späte Antwort.

Gut, dann werde ich besonders auf diese Quelle achten.

Vielen Dank aber für die Antworten.

hollarmo

Offline cas

  • User
  • Posts: 401
Re: dist-upgrade scheitert an ia32-libs
« Reply #6 on: 2010/10/11, 03:31:03 »
Quote from: "phen"
musste den workaround zunächst per apt-get deinstallieren, dann gings..
bei mir auch. musste den workaround aber per
Code: [Select]
dpkg --purge  ia32-libs-workaround-499043

deinstallieren.

gruss, cas